Bug 192772 - Volume slider often unexpectedly hidden in fullscreen
Summary: Volume slider often unexpectedly hidden in fullscreen
Status: RESOLVED FIXED
Alias: None
Product: dragonplayer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dragon Player Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-15 15:38 UTC by Ralf Jung
Modified: 2011-10-15 11:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments
A patch to fix the bug (10.39 KB, patch)
2011-10-14 13:56 UTC, Ralf Jung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Jung 2009-05-15 15:38:14 UTC
Version:           2.0 (using 4.2.2 (KDE 4.2.2), Kubuntu packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.28-11-generic

When I am in full-screen mode and click "Volume" to show the volume slide, it shows a somewhat annoying behaviour: As soon as my mouse leaves the main menu bar to enter the volume slider (without even touching the video area), the toolbars disappear. I can still use it my moving it further down, but the flickering looks strange and is unexpected.
Comment 1 Raphael Kubo da Costa 2009-05-22 04:30:24 UTC
Confirmed in trunk.
Comment 2 Ralf Jung 2009-11-14 11:12:57 UTC
I upgraded to KDE 4.3.2 (Kubuntu packages) and still have this issue
Comment 3 Ralf Jung 2010-07-22 18:54:57 UTC
KDE 4.4.2 still shows this behaviour. I guess the toolbars are both hidden when the cursor leaves the main toolbar, but the code does not notice that I actually entered another toolbar.
Comment 4 Ralf Jung 2011-04-19 16:05:24 UTC
The same is still happening in KDE 4.6.2.
Comment 5 Ralf Jung 2011-10-14 13:56:33 UTC
Created attachment 64519 [details]
A patch to fix the bug

I wrote and attached a patch to address this problem. It slightly changes the toolbar/volume slider behaviour in fullscreen-mode:
- The toolbar and volume dock are shown when the mouse moves, or when it is in the area covered by these
- Both are hidden when the mouse is outside their area, and does not move for 2 seconds
This fixes the toolbar flickering issues for me, as well as the problem described in this bug.
Comment 6 Ralf Jung 2011-10-15 11:18:36 UTC
SVN commit 1258978 by ralfjung:

Fix for volume slider to often be unexpectedly hidden in fullscreen mode
The toolbars are now only hidden if the mouse is seen outside of them, and if
it does not move for 2 seconds.

BUG: 192772
FIXED-IN: 4.8
CCMAIL: ian@monroe.nu



 M  +24 -52    fullScreenToolBarHandler.cpp  
 M  +1 -2      fullScreenToolBarHandler.h  
 M  +17 -7     mainWindow.cpp  
 M  +4 -0      mainWindow.h  
 M  +0 -6      videoWindow.cpp  
 M  +0 -1      videoWindow.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1258978